<?php
/**
 * Bottom Bar setting for Customizer
 *
 * @package advisom
 * @version 3.6.8
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Bottom Bar General
$this->sections['advisom_bottombar_general'] = array(
	'title' => esc_html__( 'General', 'advisom' ),
	'panel' => 'advisom_bottombar',
	'settings' => array(
		array(
			'id' => 'bottom_bar',
			'default' => true,
			'control' => array(
				'label' => esc_html__( 'Enable', 'advisom' ),
				'type' => 'checkbox',
			),
		),
		array(
			'id' => 'bottom_bar_style',
			'default' => '',
			'control' => array(
				'label' => esc_html__( 'Style', 'advisom' ),
				'type' => 'select',
				'active_callback' => 'advisom_cac_has_bottombar',
				'choices' => array(
					''  	  => esc_html__( 'All Content', 'advisom' ),
					'style-1' => esc_html__( 'Only Copyright', 'advisom' ),
					'style-2' => esc_html__( 'Logo + Copyright', 'advisom' ),
				),
			),
		),
		array(
			'id' => 'bottom_copyright',
			'transport' => 'postMessage',
			'default' => '&copy; advisom_ - Multipurpose WordPress Theme.',
			'control' => array(
				'label' => esc_html__( 'Copyright', 'advisom' ),
				'type' => 'advisom_textarea',
				'active_callback' => 'advisom_cac_has_bottombar',
			),
		),
		array(
			'id' => 'bottom_padding',
			'transport' => 'postMessage',
			'control' =>  array(
				'type' => 'text',
				'label' => esc_html__( 'Padding', 'advisom' ),
				'description' => esc_html__( 'Top Right Bottom Left.', 'advisom' ),
				'active_callback'=> 'advisom_cac_has_bottombar',
			),
			'inline_css' => array(
				'target' => '#bottom .bottom-bar-inner-wrap',
				'alter' => 'padding',
			),
		),
		array(
			'id' => 'bottom_background',
			'transport' => 'postMessage',
			'control' =>  array(
				'type' => 'color',
				'label' => esc_html__( 'Background', 'advisom' ),
				'active_callback'=> 'advisom_cac_has_bottombar',
			),
			'inline_css' => array(
				'target' => '#bottom',
				'alter' => 'background',
			),
		),
		array(
			'id' => 'bottom_background_img',
			'control' => array(
				'type' => 'image',
				'label' => esc_html__( 'Background Image', 'advisom' ),
				'active_callback' => 'advisom_cac_has_bottombar',
			),
		),
		array(
			'id' => 'bottom_background_img_style',
			'default' => 'repeat',
			'control' => array(
				'label' => esc_html__( 'Background Image Style', 'advisom' ),
				'type'  => 'image',
				'type'  => 'select',
				'choices' => array(
					''             => esc_html__( 'Default', 'advisom' ),
					'cover'        => esc_html__( 'Cover', 'advisom' ),
					'center-top'        => esc_html__( 'Center Top', 'advisom' ),
					'fixed-top'    => esc_html__( 'Fixed Top', 'advisom' ),
					'fixed'        => esc_html__( 'Fixed Center', 'advisom' ),
					'fixed-bottom' => esc_html__( 'Fixed Bottom', 'advisom' ),
					'repeat'       => esc_html__( 'Repeat', 'advisom' ),
					'repeat-x'     => esc_html__( 'Repeat-x', 'advisom' ),
					'repeat-y'     => esc_html__( 'Repeat-y', 'advisom' ),
				),
				'active_callback' => 'advisom_cac_has_bottombar',
			),
		),
		array(
			'id' => 'bottom_color',
			'transport' => 'postMessage',
			'control' =>  array(
				'type' => 'color',
				'label' => esc_html__( 'Color', 'advisom' ),
				'active_callback'=> 'advisom_cac_has_bottombar',
			),
			'inline_css' => array(
				'target' => '#bottom',
				'alter' => 'color',
			),
		),
		array(
			'id' => 'line_color',
			'transport' => 'postMessage',
			'control' =>  array(
				'type' => 'color',
				'label' => esc_html__( 'Line Color', 'advisom' ),
				'active_callback'=> 'advisom_cac_has_bottombar',
			),
			'inline_css' => array(
				'target' => '#bottom:before',
				'alter' => 'background-color',
			),
		),
	),
);

// Bottom Logo
$this->sections['advisom_bottom_logo'] = array(
	'title' => esc_html__( 'Logo', 'advisom' ),
	'panel' => 'advisom_bottombar',
	'settings' => array(
		array(
			'id' => 'bottom_custom_logo',
			'default' => '',
			'control' => array(
				'label' => esc_html__( 'Logo Image', 'advisom' ),
				'type' => 'image',
			),
		),
		array(
			'id' => 'bottom_logo_width',
			'control' => array(
				'label' => esc_html__( 'Logo Width', 'advisom' ),
				'type' => 'text',
			),
		),
	)
);
