<?php

/**

 * Featured Title setting for Customizer

 *

 * @package advisom

 * @version 3.6.8

 */



// Exit if accessed directly

if ( ! defined( 'ABSPATH' ) ) {

	exit;

}



// Featured Title General

$this->sections['advisom_featuredtitle_general'] = array(

	'title' => esc_html__( 'General', 'advisom' ),

	'panel' => 'advisom_featuredtitle',

	'settings' => array(

		array(

			'id' => 'featured_title',

			'default' => true,

			'control' => array(

				'label' => esc_html__( 'Enable', 'advisom' ),

				'type' => 'checkbox',

			),

		),

		array(

			'id' => 'featured_title_style',

			'default' => 'simple',

			'control' => array(

				'label'  => esc_html__( 'Style', 'advisom' ),

				'type' => 'select',

				'choices' => array(

					'simple' => esc_html__( 'Simple', 'advisom' ),

					'centered' => esc_html__( 'Centered', 'advisom' ),

				),

				'active_callback' => 'advisom_cac_has_featured_title',

			),

		),

		array(

			'id' => 'featured_title_padding',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'text',

				'label' => esc_html__( 'Padding', 'advisom' ),

				'description' => esc_html__( 'Example: 250px 0px 150px 0px', 'advisom' ),

				'active_callback' => 'advisom_cac_has_featured_title',

			),

			'inline_css' => array(

				'media_query' => '(min-width: 992px)',

				'target' => '#featured-title .inner-wrap',

				'alter' => 'padding',

			),

		),
		array(
            'id' => 'featured_title_margin',

            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Blog Content Margin', 'advisom'),
                'description' => esc_html__('Example: 44px', 'advisom'),
            ),
            'inline_css' => array(
                'target' => '#featured-title',
                'alter' => 'margin-bottom',
            ),
		),
		array(

			'id' => 'featured_title_color',
			'default' => '#1e2228',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Blog Title Color', 'advisom' ),
			),
			'inline_css' => array(
				'target' => '.main-title',
				'alter' => 'color',
			),
		),
		array(
            'id' => 'featured_title_font_weight',
            'default' => '700',
            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Blog Title Font', 'advisom'),
                'description' => esc_html__('Example: 600', 'advisom'),
            ),
            'inline_css' => array(
                'target' => '#featured-title .main-title',
                'alter' => 'font-weight',
            ),
		),

		array(

			'id' => 'featured_breadcrumbs_color',
			'default' => '#7e8288',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Blog Breadcrumbs Active Color', 'advisom' ),
			),
			'inline_css' => array(
				'target' => '#featured-title #breadcrumbs .breadcrumbs-inner',
				'alter' => 'color',

			),

		),
		array(
            'id' => 'featured_title_breadcrumbs_font_weight',

            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Blog Breadcrubs Font Weight', 'advisom'),
                'description' => esc_html__('Example: 600', 'advisom'),
            ),
            'inline_css' => array(
                'target' => '#featured-title #breadcrumbs .breadcrumbs-inner',
                'alter' => 'font-weight',
            ),
        ),
		array(

			'id' => 'featured_breadcrumbs_home_color',
			'default' => '##7e8288',
			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Blog Breadcrumbs Home Color', 'advisom' ),
			),
			'inline_css' => array(
				'target' => '#featured-title #breadcrumbs a',
				'alter' => 'color',

			),

		),
		array(

			'id' => 'featured_title_background',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Background', 'advisom' ),

				'active_callback' => 'advisom_cac_has_featured_title',

			),

			'inline_css' => array(

				'target' => '#featured-title',

				'alter' => 'background-color',

			),

		),

		array(

			'id' => 'featured_title_background_img',

			'control' => array(

				'type' => 'image',

				'label' => esc_html__( 'Background Image', 'advisom' ),

				'active_callback' => 'advisom_cac_has_featured_title',

			),

		),

		array(

			'id' => 'featured_title_background_img_style',

			'default' => 'repeat',

			'control' => array(

				'label' => esc_html__( 'Background Image Style', 'advisom' ),

				'type'  => 'image',

				'type'  => 'select',

				'choices' => array(

					''             => esc_html__( 'Default', 'advisom' ),

					'cover'        => esc_html__( 'Cover', 'advisom' ),

					'center-center'        => esc_html__( 'Centor', 'advisom' ),

					'center-top'        => esc_html__( 'Center Top', 'advisom' ),

					'fixed-top'    => esc_html__( 'Fixed Top', 'advisom' ),

					'fixed'        => esc_html__( 'Fixed Center', 'advisom' ),

					'fixed-bottom' => esc_html__( 'Fixed Bottom', 'advisom' ),

					'repeat'       => esc_html__( 'Repeat', 'advisom' ),

					'repeat-x'     => esc_html__( 'Repeat-x', 'advisom' ),

					'repeat-y'     => esc_html__( 'Repeat-y', 'advisom' ),

				),

				'active_callback' => 'advisom_cac_has_featured_title',

			),

		),
		array(

			'id' => 'featured_title_check_color',

			'default' => false,

			'control' => array(

				'label' => esc_html__( 'Image Overlay', 'advisom' ),

				'type' => 'checkbox',

				'active_callback' => 'advisom_cac_has_featured_title',

			),

		),
		array(

			'id' => 'featured_title_overlay_color',

			'control' => array(
				'type' => 'color',
				'label' => esc_html__( 'Overylay Change Color', 'advisom' ),
			),
			'inline_css' => array(
				'target' => '.featured-title-overlay',
				'alter' => 'background-color',

			),

		),
		array(
            'id' => 'featured_title_add_opecity',

            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Image Opecity Range', 'advisom'),
                'description' => esc_html__('Example: 0.2', 'advisom'),
            ),
            'inline_css' => array(
                'target' => '.featured-title-overlay',
                'alter' => 'opacity',
            ),
        ),

	),

);



// Featured Title Headings

$this->sections['advisom_featuredtitle_heading'] = array(

	'title' => esc_html__( 'Headings', 'advisom' ),

	'panel' => 'advisom_featuredtitle',

	'settings' => array(

		array(

			'id' => 'featured_title_heading',

			'default' => true,

			'control' => array(

				'label' => esc_html__( 'Enable', 'advisom' ),

				'type' => 'checkbox',

				'active_callback' => 'advisom_cac_has_featured_title',

			),

		),

		array(

			'id' => 'featured_title_heading_bottom_margin',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'text',

				'label' => esc_html__( 'Heading Bottom Margin', 'advisom' ),

				'active_callback' => 'advisom_cac_has_featured_title_center',

				'description' => esc_html__( 'Example: 30px.', 'advisom' ),

			),

			'inline_css' => array(

				'target' => '#featured-title.centered .title-group',

				'alter' => 'margin-bottom',

			),

		),

		array(

			'id' => 'featured_title_heading_color',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Title Color', 'advisom' ),

				'active_callback' => 'advisom_cac_has_featured_title_heading',

			),

			'inline_css' => array(

				'target' => '#featured-title .main-title',

				'alter' => 'color',

			),

		),

	),

);



// Featured Title Breadcrumbs

$this->sections['advisom_featuredtitle_breadcrumbs'] = array(

	'title' => esc_html__( 'Breadcrumbs', 'advisom' ),

	'panel' => 'advisom_featuredtitle',

	'settings' => array(

		array(

			'id' => 'featured_title_breadcrumbs',

			'default' => true,

			'control' => array(

				'label' => esc_html__( 'Enable', 'advisom' ),

				'type' => 'checkbox',

				'active_callback' => 'advisom_cac_has_featured_title',

			),

		),

		array(

			'id' => 'featured_title_breadcrumbs_color',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Text Color', 'advisom' ),

				'active_callback' => 'advisom_cac_has_featured_title_breadcrumbs',

			),

			'inline_css' => array(

				'target' => array(

					'#featured-title #breadcrumbs',

				),

				'alter' => 'color',

			),

		),

		array(

			'id' => 'featured_title_breadcrumbs_link_color',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Link Color', 'advisom' ),

				'active_callback' => 'advisom_cac_has_featured_title_breadcrumbs',

			),

			'inline_css' => array(

				'target' => '#featured-title #breadcrumbs a',

				'alter' => 'color',

			),

		),

		array(

			'id' => 'featured_title_breadcrumbs_link_hover_color',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Link Color: Hover', 'advisom' ),

				'active_callback' => 'advisom_cac_has_featured_title_breadcrumbs',

			),

			'inline_css' => array(

				'target' => '#featured-title #breadcrumbs a:hover',

				'alter' => 'color',

			),

		),

		array(

			'id' => 'portfolio_page',

			'control' => array(

				'label'  => esc_html__( 'Projects', 'advisom' ),

				'type' => 'select',

				'choices' => advisom_get_pages(),

				'active_callback' => 'advisom_cac_has_single_project',

			),

		),

		array(

			'id' => 'service_page',

			'control' => array(

				'label'  => esc_html__( 'Services', 'advisom' ),

				'type' => 'select',

				'choices' => advisom_get_pages(),

				'active_callback' => 'advisom_cac_has_single_service',

			),

		),

	),

);