<?php

/**

 * Footer setting for Customizer

 *

 * @package advisom

 * @version 3.6.8

 */



// Exit if accessed directly

if ( ! defined( 'ABSPATH' ) ) {

	exit;

}



// Footer General

$this->sections['advisom_footer_general'] = array(

	'title' => esc_html__( 'General', 'advisom' ),

	'panel' => 'advisom_footer',

	'settings' => array(

		array(

			'id' => 'footer_columns',

			'default' => '4',

			'control' => array(

				'label' => esc_html__( 'Footer Column(s)', 'advisom' ),

				'type' => 'select',

				'choices' => array(

					'5' => '5-3-4',

					'4' => '3-3-3-3',

					'3' => '4-4-4',

					'2' => '6-6',

					'1' => '12',

				),

			),

		),

		array(

			'id' => 'footer_column_gutter',

			'default' => '30',

			'transport' => 'postMessage',

			'control' => array(

				'label' => esc_html__( 'Footer Column Gutter', 'advisom' ),

				'type' => 'select',

				'choices' => array(

					'5'    => '5px',

					'10'   => '10px',

					'15'   => '15px',

					'20'   => '20px',

					'25'   => '25px',

					'30'   => '30px',

					'35'   => '35px',

					'40'   => '40px',

					'45'   => '45px',

					'50'   => '50px',

					'60'   => '60px',

					'70'   => '70px',

					'80'   => '80px',

				),

			),

		),

		array(

			'id' => 'footer_text_color',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Text Color', 'advisom' ),

			),

			'inline_css' => array(

				'target' => '#footer-widgets .widget',

				'alter' => 'color',

			),

		),

		array(

			'id' => 'footer_link_color',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Footer Link Color', 'advisom' ),

			),

			'inline_css' => array(

				'target' => '#footer a',

				'alter' => 'color',

			),

		),

		array(

			'id' => 'footer_link_color_hover',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Footer Link Color Hover', 'advisom' ),

			),

			'inline_css' => array(

				'target' => '#footer .widget_custom_html a:hover, #footer .widget.widget_archive ul li a:hover, #footer .widget.widget_calendar a:hover, #footer .widget.widget_categories ul li a:hover, #footer .widget.widget_meta ul li a:hover, #footer .widget.widget_nav_menu ul li a:hover, #footer .widget.widget_pages ul li a:hover, #footer .widget.widget_recent_comments ul li a:hover, #footer .widget.widget_recent_entries ul li a:hover, #footer .widget.widget_rss ul li a:hover',

				'alter' => 'color',

			),

		),

		array(

			'id' => 'footer_border_color',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Footer Border Color', 'advisom' ),

			),

			'inline_css' => array(

				'target' => '#footer .widget.widget_archive ul li, #footer .widget.widget_categories ul li, #footer .widget.widget_meta ul li, #footer .widget.widget_nav_menu ul li, #footer .widget.widget_pages ul li, #footer .widget.widget_recent_comments ul li, #footer .widget.widget_recent_entries ul li, #footer .widget.widget_rss ul li',

				'alter' => 'border-color',

			),

		),

		array(

			'id' => 'footer_background',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'color',

				'label' => esc_html__( 'Background Color', 'advisom' ),

			),

			'inline_css' => array(

				'target' => '#footer',

				'alter' => 'background-color',

			),

		),

		array(

			'id' => 'footer_bg_img',

			'control' => array(

				'type' => 'image',

				'label' => esc_html__( 'Background Image', 'advisom' ),

			),

		),

		array(

			'id' => 'footer_bg_img_style',

			'default' => '',

			'control' => array(

				'label' => esc_html__( 'Background Image Style', 'advisom' ),

				'type'  => 'image',

				'type'  => 'select',

				'choices' => array(

					''             => esc_html__( 'Default', 'advisom' ),

					'cover'        => esc_html__( 'Cover', 'advisom' ),

					'center-top'   => esc_html__( 'Center Top', 'advisom' ),

					'fixed-top'    => esc_html__( 'Fixed Top', 'advisom' ),

					'fixed'        => esc_html__( 'Fixed Center', 'advisom' ),

					'fixed-bottom' => esc_html__( 'Fixed Bottom', 'advisom' ),

					'repeat'       => esc_html__( 'Repeat', 'advisom' ),

					'repeat-x'     => esc_html__( 'Repeat-x', 'advisom' ),

					'repeat-y'     => esc_html__( 'Repeat-y', 'advisom' ),

				),

			),

		),

		array(

			'id' => 'footer_top_padding',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'text',

				'label' => esc_html__( 'Top Padding', 'advisom' ),

				'description' => esc_html__( 'Example: 60px.', 'advisom' ),

			),

			'inline_css' => array(

				'target' => '#footer',

				'alter' => 'padding-top',

			),

		),

		array(

			'id' => 'footer_bottom_padding',

			'transport' => 'postMessage',

			'control' => array(

				'type' => 'text',

				'label' => esc_html__( 'Bottom Padding', 'advisom' ),

				'description' => esc_html__( 'Example: 60px.', 'advisom' ),

			),

			'inline_css' => array(

				'target' => '#footer',

				'alter' => 'padding-bottom',

			),

		),

	),

);