<?php

/**
 * General setting for Customizer
 *
 * @package advisom
 * @version 3.6.8
 */

// Exit if accessed directly
if (! defined('ABSPATH')) {
    exit;
}

$this->sections['Advisom_Accent_Colors'] = array(
    'title' => esc_html__('Links and Input Field Color', 'advisom'),
    'panel' => 'advisom_general',
    'settings' => array(
        array(
            'id' => 'accent_color',
            'default' => '#000080',
            'control' => array(
                'label' => esc_html__('Links and Input Field Color', 'advisom'),
                'type' => 'color',
            ),
        ),
    )
);

// PreLoader
$this->sections['advisom_preloader'] = array(
    'title' => esc_html__('PreLoader', 'advisom'),
    'panel' => 'advisom_general',
    'settings' => array(
        array(
            'id' => 'preloader',
            'default' => 'animsition',
            'control' => array(
                'label' => esc_html__('Preloader Option', 'advisom'),
                'type' => 'select',
                'choices' => array(
                    'animsition' => esc_html__('Enable', 'advisom'),
                    '' => esc_html__('Disable', 'advisom')
                ),
            ),
        ),
        array(
            'id' => 'preload_color_1',
            'default' => '#000080',
            'control' => array(
                'label' => esc_html__('Color', 'advisom'),
                'type' => 'color',
            ),
            'inline_css' => array(
                'target' => '.animsition-loading',
                'alter' => 'background-color',
            ),
        ),
    )
);

// Header Site

$this->sections['advisom_header_site'] = array(
    'title' => esc_html__('Site Header', 'advisom'),
    'panel' => 'advisom_general',
    'settings' => array(
        array(
            'id' => 'header_site_style',
            'default' => 'style-2',
            'control' => array(
                'label' => esc_html__('Header Styles', 'advisom'),
                'type' => 'select',
                'choices' => array(
                    'style-1' => esc_html__('Basic', 'advisom'),
                    'style-1 header-float' => esc_html__('Basic - Float', 'advisom'),
                    'style-2' => esc_html__('Full Width', 'advisom'),
                    'style-2 header-float' => esc_html__('Full Width - Float', 'advisom'),
                    'style-3' => esc_html__('Modern', 'advisom'),
                    'style-4' => esc_html__('Aside', 'advisom'),
                ),
                'desc' => esc_html__('Header Style for all pages on website. (e.g. pages, blog posts, single post, archives, etc ). Single page can override this setting in Page Settings metabox when edit.', 'advisom')
            ),
        ),
        array(
            'id' => 'header_fixed',
            'default' => false,
            'control' => array(
                'label' => esc_html__('Header Fixed: Enable', 'advisom'),
                'type' => 'checkbox',
            ),
        ),
        // array(
        //     'id' => 'basic_fix_header_float_enable',
        //     'default' => '#ffffff',
        //     'control' => array(
        //         'label' => esc_html__('Color', 'advisom'),
        //         'type' => 'color',

        //     ),
        //     'inline_css' => array(
        //         'target' => '#site-header.fixed-hide',
        //         'alter' => 'background-color',
        //     ),
        // ),
        // array(
        //     'id' => 'basic_fix_header_float_enable',
        //     'default'           => 'rgba(0,8,0,0.5)', // Use any HEX or RGBA value.
        //     'transport'         => 'refresh',

        //     'control' => array(
        //         'label'      => __('Header Color', 'advisom'),

        //         ),
        //     'inline_css' => array(
        //     'target' => '#site-header.fixed-hide',
        //     'alter' => 'background-color',
        //    ),
        // ),

        // $wp_customize->add_setting( 'diwp_header_bgcolor' , [
        //     'default'           => 'rgba(0,0,0,0.5)', // Use any HEX or RGBA value.
        //     'transport'         => 'refresh',

        // ] );
        // $wp_customize->add_control( new ColorAlpha( $wp_customize, 'diwp_header_bgcolor', [
        //     'label'      => __( 'My Color', 'mytheme' ),
        //     'section'    => 'diwp_color_section',
        //     'settings'   => 'diwp_header_bgcolor',
        // ] ) );
    ),
);

// if (isset($this->sections['advisom_header_site'])) {
// if (!empty($this->sections['advisom_header_site']['settings'][0]['control']['choices']['style-1'])) {
//     echo 'call';
//     $this->sections['advisom_header_site'] = array(
//         'title' => esc_html__('Site Header', 'advisom'),
//         'panel' => 'advisom_general',
//         'settings' => array(
//             array(
//                 'id' => 'header_site_style',
//                 'default' => 'style-2',
//                 'control' => array(
//                     'label' => esc_html__('Header Styles', 'advisom'),
//                     'type' => 'select',
//                     'choices' => array(
//                         'style-1' => esc_html__('Basic', 'advisom'),
//                     ),
//                     'desc' => esc_html__('Header Style for all pages on website. (e.g. pages, blog posts, single post, archives, etc ). Single page can override this setting in Page Settings metabox when edit.', 'advisom')
//                 ),
//             ),
//             array(
//                         'id' => 'preload_color_1',
//                         'default' => '#000080',
//                         'control' => array(
//                             'label' => esc_html__('Color', 'advisom'),
//                             'type' => 'color',
//                         ),
//                         'inline_css' => array(
//                             'target' => '.animsition-loading',
//                             'alter' => 'background-color',
//                         ),
//                     ),
//                 )

//     );
// }
//}

// echo 'Data: <pre>' . print_r($this->sections['advisom_header_site'], true) . '</pre>';
// Scroll to top
$this->sections['advisom_scroll_top'] = array(
    'title' => esc_html__('Scroll Top Button', 'advisom'),
    'panel' => 'advisom_general',
    'settings' => array(
        array(
            'id' => 'scroll_top',
            'default' => true,
            'control' => array(
                'label' => esc_html__('Enable', 'advisom'),
                'type' => 'checkbox',
            ),
        ),
        array(
            'id' => 'scroll_top_color',
            'default' => '#000080',
            'control' => array(
                'label' => esc_html__('Scroller Change Color ', 'advisom'),
                'type' => 'color',
            ),
            'inline_css' => array(
                'target' => '#scroll-top:before',
                'alter' => 'background-color',
            ),
        ),
        array(
            'id' => 'scroll_top_color_hover',
            'default' => '#000080',
            'control' => array(
                'label' => esc_html__('Scroller hover Change Color ', 'advisom'),
                'type' => 'color',
            ),
            'inline_css' => array(
                'target' => '#scroll-top:hover:before',
                'alter' => 'background-color',
            ),
        ),

    ),
);

// Forms
$this->sections['bizhwk_general_forms'] = array(
    'title' => esc_html__('Forms Input Fields', 'advisom'),
    'panel' => 'advisom_general',
    'settings' => array(
        array(
            'id' => 'input_border_rounded',
            'transport' => 'postMessage',
            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Border Rounded', 'advisom'),
            ),
            'inline_css' => array(
                'target' => array(
                    'textarea,input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]',
                ),
                'alter' => 'border-radius',
            ),
        ),
        array(
            'id' => 'input_background_color',
            'transport' => 'postMessage',
            'control' => array(
                'type' => 'color',
                'label' => esc_html__('Background', 'advisom'),
            ),
            'inline_css' => array(
                'target' => array(
                    'textarea,input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]',
                ),
                'alter' => 'background-color',
            ),
        ),
        array(
            'id' => 'input_border_color',
            'transport' => 'postMessage',
            'control' => array(
                'type' => 'color',
                'label' => esc_html__('Border Color', 'advisom'),
            ),
            'inline_css' => array(
                'target' => array(
                    'textarea,input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]',
                ),
                'alter' => 'border-color',
            ),
        ),
        array(
            'id' => 'input_border_width',
            'transport' => 'postMessage',
            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Border Width', 'advisom'),
                'description' => esc_html__('Enter a value in pixels. Example: 1px', 'advisom'),
            ),
            'inline_css' => array(
                'target' => array(
                    'textarea,input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]',
                ),
                'alter' => 'border-width',
            ),
        ),
        array(
            'id' => 'input_color',
            'transport' => 'postMessage',
            'control' => array(
                'type' => 'color',
                'label' => esc_html__('Color', 'advisom'),
            ),
            'inline_css' => array(
                'target' => array(
                    'textarea,input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]',
                ),
                'alter' => 'color',
            ),
        ),
    ),
);

// Responsive
$this->sections['advisom_responsive'] = array(
    'title' => esc_html__('Responsive Logo & Menu', 'advisom'),
    'panel' => 'advisom_general',
    'settings' => array(
        // Mobile Logo
        array(
            'id' => 'heading_mobile_logo',
            'control' => array(
                'type' => 'advisom_heading',
                'label' => esc_html__('Mobile Logo', 'advisom'),
            ),
        ),
        array(
            'id' => 'mobile_logo_width',
            'transport' => 'postMessage',
            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Mobile Logo: Width', 'advisom'),
                'description' => esc_html__('Example: 150px', 'advisom'),
            ),
            'inline_css' => array(
                'media_query' => '(max-width: 991px)',
                'target' => '#site-logo',
                'alter' => 'max-width',
            ),
        ),
        array(
            'id' => 'mobile_logo_margin',
            'transport' => 'postMessage',
            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Mobile Logo: Margin', 'advisom'),
                'description' => esc_html__('Example: 20px 0px 20px 0px', 'advisom'),
            ),
            'inline_css' => array(
                'media_query' => '(max-width: 991px)',
                'target' => '#main-nav-mobi .menu-logo-inner',
                'alter' => 'margin',
            ),
        ),
        // Mobile Menu
        array(
            'id' => 'heading_mobile_menu',
            'control' => array(
                'type' => 'advisom_heading',
                'label' => esc_html__('Mobile Menu', 'advisom'),
            ),
        ),
        array(
            'id' => 'mobile_menu_item_height',
            'transport' => 'postMessage',
            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Item Height', 'advisom'),
                'description' => esc_html__('Example: 40px', 'advisom'),
            ),
            'inline_css' => array(
                'target' => array(
                    '#main-nav-mobi ul > li > a',
                    '#main-nav-mobi .menu-item-has-children .arrow'
                ),
                'alter' => 'line-height'
            ),
        ),
        array(
            'id' => 'mobile_menu_logo',
            'default' => '',
            'control' => array(
                'label' => esc_html__('Mobile Menu Logo', 'advisom'),
                'type' => 'image',
            ),
        ),
        array(
            'id' => 'mobile_menu_logo_width',
            'control' => array(
                'label' => esc_html__('Mobile Menu Logo: Width', 'advisom'),
                'type' => 'text',
            ),
        ),
        // Featured Title
        array(
            'id' => 'heading_featured_title',
            'control' => array(
                'type' => 'advisom_heading',
                'label' => esc_html__('Mobile Featured Title', 'advisom'),
            ),
        ),
        array(
            'id' => 'mobile_featured_title_padding',
            'transport' => 'postMessage',
            'control' => array(
                'type' => 'text',
                'label' => esc_html__('Padding', 'advisom'),
                'description' => esc_html__('Top Right Bottom Left.', 'advisom'),
                'active_callback' => 'advisom_cac_has_featured_title',
            ),
            'inline_css' => array(
                'media_query' => '(max-width: 991px)',
                'target' => '#featured-title .inner-wrap, #featured-title.centered .inner-wrap, #featured-title.creative .inner-wrap',
                'alter' => 'padding',
            ),
        ),
        array(
            'id' => 'mobile_responsive_background_change',
            'default' => '#1e2228',
            'control' => array(
                'label' => esc_html__('Mobile Responsive Nav Color', 'advisom'),
                'type' => 'color',
                'show_opacity' => true,
            ),
            'inline_css' => array(
                'target' => '#main-nav-mobi',
                'alter' => 'background-color',
            ),
        ),
		// array(
        //     'id' => 'mobile_menu_border_color',
        //     'default' => '#1e2228',
        //     'control' => array(
        //         'label' => esc_html__('Mobile Menu Border Color', 'advisom'),
        //         'type' => 'color',
        //         'show_opacity' => true,
        //     ),
        //     'inline_css' => array(
        //         'target' => '#main-nav-mobi ul li, #main-nav-mobi ul.submenu li, #main-nav-mobi .sub-menu li:first-child,  #main-nav-mobi',
        //         'alter' => 'border-color',
        //     ),
        // ),
        array(
            'id' => 'mobile_responsive_cross_hover_change',
            'default' => '#ff4539',
            'control' => array(
                'label' => esc_html__('Mobile Responsive Cross Button Change Color ', 'advisom'),
                'type' => 'color',
            ),
            'inline_css' => array(
                'target' => '.mobi-overlay .close:hover:after',
                'alter' => 'color',
            ),
        ),
    )
);
