<?php
/**
 * Demo Import Data
 *
 * @package Advisom
 * @version 3.6.8
 */

// Exit if accessed directly.

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Elementor\Core\App\Modules\ImportExport\Directories\Root;
use Elementor\Core\App\Modules\ImportExport\Module;
use Elementor\Core\Settings\Page\Manager as PageManager;
use Elementor\Plugin;

/** Import Files Function */
function ocdi_import_files() {
	return array(
		array(
			'import_file_name'             => 'Demo Import',
			'categories'                   => array(),
			'local_import_file'            => trailingslashit(get_template_directory()) . 'demo/advisom-demo-content.xml',
			'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'demo/site-settings.json',
            'local_import_widget_file'       => trailingslashit(get_template_directory()) . 'demo/advisom-widget.wie',
			'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'demo/advisom-customizer.dat',
			'import_preview_image_url'     => get_stylesheet_directory_uri() . '/assets/img/screenshot.png',
			'import_notice'                => __( 'Ready to go.', 'advisom' ),
			'preview_url'                  => 'http://designingmedia.com/wordpress/akd/wp-admin/themes.php?theme=akd',
		),
	);
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );

function advisom_after_import_setup() {

	// Assign menus to their locations.

	$main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

	$bottom_menu = get_term_by( 'name', 'Bottom Menu', 'nav_menu' );

	set_theme_mod(
		'nav_menu_locations',
		array(
			'primary' => $main_menu->term_id,
			'bottom'  => $bottom_menu->term_id,
		)
	);

	// Assign front page and posts page (blog page).

	$front_page_id = get_page_by_title( 'Home' );

	$blog_page_id = get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );

	update_option( 'page_on_front', $front_page_id->ID );

	update_option( 'page_for_posts', $blog_page_id->ID );

	if (file_exists(WP_PLUGIN_DIR . '/elementor/elementor.php'))
	{

		do_action( 'theme.elementor.global' );

	}
}
add_action( 'pt-ocdi/after_import', 'advisom_after_import_setup' );

add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );
