<?php
/**
 * Gets all theme mods and stores them in an easily accessable global var to limit DB requests
 *
 * @package advisom
 * @version 3.6.8
 */

global $advisom_theme_mods;
$advisom_theme_mods = get_theme_mods();

/** Returns theme mod from global var.
 *
 * @param id      $id gets custom id.
 * @param default $default gets default value.
 */
function advisom_get_mod( $id, $default = '' ) {

	// Return get_theme_mod on customize_preview.
	if ( is_customize_preview() ) {
		return get_theme_mod( $id, $default );
	}

	// Get global object.
	global $advisom_theme_mods;

	// Return data from global object.
	if ( ! empty( $advisom_theme_mods ) ) {

		// Return value.
		if ( isset( $advisom_theme_mods[ $id ] ) ) {
			return $advisom_theme_mods[ $id ];
		} else {
			return $default;
		}
	} else {
		return get_theme_mod( $id, $default );
	}
}

/**  Returns global mods. */
function advisom_get_mods() {
	global $advisom_theme_mods;
	return $advisom_theme_mods;
}
