<?php
/**
 * Header
 *
 * @package advisom
 * @version 3.6.8
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$cls = '';

// Get header style.
$cls          = advisom_get_mod( 'header_class' );
$header_style = advisom_get_mod( 'header_site_style', 'style-1' );

if ( is_page() && advisom_metabox( 'header_style' ) ) {
	$header_style = advisom_metabox( 'header_style' );
}

if ( is_page() && advisom_elementor( 'header_style' ) ) {
	$header_style = advisom_elementor( 'header_style' );
}

// Custom style for main header area.
$header_css = '';
if ( is_page() && $bg = advisom_metabox( 'header_background' ) ) {
	$header_css = 'background-color: ' . $bg . ';';
}

// Extra class.
if ( advisom_metabox( 'header_extra' ) ) {
	$cls = advisom_metabox( 'header_extra' );
}
if ( advisom_elementor( 'header_extra' ) ) {
	$cls = advisom_elementor( 'header_extra' );
}
?>

<?php get_template_part( 'templates/header-extra-nav' ); ?>

<?php
	$header_option_elementor   = advisom_elementor( 'show_hide_elementor_header_template' );
	$header_elementor_template = advisom_elementor( 'biz_elementor_header_template' );
	$header_type               = get_theme_mod( 'header_source_type' );
	$header_e                  = get_theme_mod( 'header_elementor_templates' );
	if ( empty( $header_type ) ) {
		$header_type = 'd';
	}
?>
<header id="site-header" class="<?php echo esc_attr( $cls ); ?>" style="<?php echo esc_attr( $header_css ); ?>">
	<?php
	if ( 'e' === $header_type ){
		?>
		<div class="bzf-custom-header-elementor">
		<?php
			echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_e );
		?>
		</div>
		<?php
	}
	if ( ! empty( $header_elementor_template ) ) {
		?>
		<div class="bzf-header-elementor">
		<?php
			echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_elementor_template );
		?>
		</div>
		<?php
	}
	if ( 'd' === $header_type ) {
		?>
		<div class="bzf-header-template">
		<?php
		if ( 'style-1' === $header_style || 'style-1 header-float' === $header_style ) {
			$topbar = get_theme_mod( 'header_top_bar' );
			if ( 1 === $topbar ) {
				?>
				<div class="top-bar clearfix">
					<div class="advisom_container">
						<div class="topbar-left">
							<?php get_template_part( 'templates/header-info' ); ?>
						</div>

						<div class="topbar-right">
							<?php get_template_part( 'templates/header-social' ); ?>
						</div>
					</div>
				</div>
	<?php } ?>
			<div class="advisom_container">
				<div class="site-header-inner">
					<?php get_template_part( 'templates/header-logo' ); ?>

					<div class="wrap-inner">
						<?php
						get_template_part( 'templates/header-menu' );
						get_template_part( 'templates/header-button' );
						?>
					</div>
				</div>
			</div>
		<?php } elseif ( $header_style == 'style-2' || $header_style == 'style-2 header-float' ) { ?>
			<div class="site-header-inner">
				<?php get_template_part( 'templates/header-logo' ); ?>

				<div class="wrap-inner">
					<?php
					get_template_part( 'templates/header-menu' );
					get_template_part( 'templates/header-button' );
					?>
				</div>
			</div>
		<?php } elseif ( $header_style == 'style-3' ) { ?>
			<div class="advisom_container clearfix">
				<div class="header-top">
					<?php get_template_part( 'templates/header-logo' ); ?>
					<?php get_template_part( 'templates/header-info' ); ?>
				</div>

				<div class="site-header-inner">
					<div class="wrap-inner">
						<?php
						get_template_part( 'templates/header-menu' );
						?>
					</div>
				</div>
			</div>
		<?php } else { ?>
			<div class="top-bar clearfix">
				<div class="advisom_container">
					<div class="topbar-left">
						<?php get_template_part( 'templates/header-info' ); ?>
					</div>

					<div class="topbar-right">
						<?php get_template_part( 'templates/header-social' ); ?>
					</div>
				</div>
			</div>

			<div class="advisom_container">
				<div class="site-header-inner">
					<?php get_template_part( 'templates/header-logo' ); ?>
					<div class="wrap-inner">
						<?php
						get_template_part( 'templates/header-menu' );
						get_template_part( 'templates/header-button' );
						?>
					</div>
				</div>
			</div>
			<?php
			}
		?>
		</div>
		<?php
	}

	?>
</header><!-- /#site-header -->
